Get a filter view by ID.
GET
/v1/filter_views/{id}
const url = 'https://api.adversarial.com/api/v1/filter_views/123e4567-e89b-12d3-a456-426614174000';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.adversarial.com/api/v1/filter_views/123e4567-e89b-12d3-a456-426614174000Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string format: uuid
The filter view ID
Example
123e4567-e89b-12d3-a456-426614174000Responses
Section titled “Responses”Get the filter view
Media typeapplication/json
object
filter
required
object
filtered_table
required
string
id
required
string format: uuid
name
required
string
shared
required
Whether the owner has shared this view with their organization.
boolean
user_id
required
string format: uuid
Example
{ "filtered_table": "risks"}Filter view not found